接口参考监控、告警与通知
监控、告警与通知
监控、告警与通知的完整接口索引,按 OpenAPI 生成。
| 接口 | 方法与路径 |
|---|---|
| 查询告警规则 | GET /api/v1/monitoring/rules |
| 创建告警规则 | POST /api/v1/monitoring/rules |
| 更新告警规则 | PUT /api/v1/monitoring/rules/{id} |
| 删除告警规则 | DELETE /api/v1/monitoring/rules/{id} |
| 查询通知渠道 | GET /api/v1/monitoring/channels |
| 创建通知渠道 | POST /api/v1/monitoring/channels |
| 更新通知渠道 | PUT /api/v1/monitoring/channels/{id} |
| 删除通知渠道 | DELETE /api/v1/monitoring/channels/{id} |
| 查询告警事件 | GET /api/v1/monitoring/alerts |
| 查询通知记录 | GET /api/v1/monitoring/notifications |
| 发送渠道测试通知 | POST /api/v1/monitoring/channels/{id}/test |
| 确认告警 | POST /api/v1/monitoring/alerts/{id}/acknowledge |
| 重试失败通知 | POST /api/v1/monitoring/notifications/{id}/retry |
| 查询可选资源 | GET /api/v1/monitoring/targets |
| 查询告警执行器状态 | GET /api/v1/monitoring/status |
